<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.JNCS.chk.Jcmds</name>
<version>1</version>
<engineversion>25</engineversion>
<description>checks commands can be used</description>
<arguments>
<argument index="1" name="ship" type="Var/Ship" desc="Ship" />
<argument index="2" name="upgrade" type="Value" desc="upgrade" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;&#160;JNCS</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""></line>
<line linenr="005" indent=""><var>$r&#160;=&#160;</var><var>1</var></line>
<line linenr="006" indent=""></line>
<line linenr="007" indent=""><var>$sector&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;sector</text></line>
<line linenr="008" indent=""><var>$EC.avail&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Energy&#160;Cells</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="009" indent=""><var>$EC.requ&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;needed&#160;jump&#160;drive&#160;energy&#160;for&#160;jump&#160;to&#160;sector&#160;</text><var>$sector</var></line>
<line linenr="010" indent=""></line>
<line linenr="011" indent=""><var>skip&#160;if&#160;</var><var>(</var><text>&#160;</text><var>$EC.avail</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>$EC.requ</var><text>&#160;</text><var>)</var></line>
<line linenr="012" indent="&#160;"><var>$r&#160;=&#160;</var><var>2</var></line>
<line linenr="013" indent=""></line>
<line linenr="014" indent=""><var>skip&#160;if&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Jumpdrive</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="015" indent="&#160;"><var>$r&#160;=&#160;</var><var>[CmdConCheck.Infinite]</var></line>
<line linenr="016" indent=""></line>
<line linenr="017" indent=""><text>return&#160;</text><var>$r</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.JNCS.chk.Jcmds" /><sval type="int" val="25" /><sval type="string" val="checks commands can be used" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="6"><sval type="string" val="ship" /><sval type="string" val="upgrade" /><sval type="string" val="r" /><sval type="string" val="sector" /><sval type="string" val="EC.avail" /><sval type="string" val="EC.requ" /></sval><sval type="array" size="9"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="703" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="9" /><sval type="int" val="720896" /></sval><sval type="array" size="6"><sval type="int" val="567" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="15"><sval type="int" val="104" /><sval type="int" val="-536869369" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="16" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /><sval type="int" val="17" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-536868857" /><sval type="int" val="9" /><sval type="int" val="1048611" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="120" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="21" /><sval type="string" val="Ship" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="upgrade" /></sval></sval><sval type="array" size="8"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of  JNCS" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="8" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
